| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Data Fields
OptionsContext Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Fields
OptionGroup * | g
int64_t | start_time
int64_t | start_time_eof
int | seek_timestamp
const char * | format
SpecifierOpt * | codec_names
int | nb_codec_names
SpecifierOpt * | audio_ch_layouts
int | nb_audio_ch_layouts
SpecifierOpt * | audio_channels
int | nb_audio_channels
SpecifierOpt * | audio_sample_rate
int | nb_audio_sample_rate
SpecifierOpt * | frame_rates
int | nb_frame_rates
SpecifierOpt * | max_frame_rates
int | nb_max_frame_rates
SpecifierOpt * | frame_sizes
int | nb_frame_sizes
SpecifierOpt * | frame_pix_fmts
int | nb_frame_pix_fmts
int64_t | input_ts_offset
int | loop
int | rate_emu
float | readrate
int | accurate_seek
int | thread_queue_size
int | input_sync_ref
int | find_stream_info
SpecifierOpt * | ts_scale
int | nb_ts_scale
SpecifierOpt * | dump_attachment
int | nb_dump_attachment
SpecifierOpt * | hwaccels
int | nb_hwaccels
SpecifierOpt * | hwaccel_devices
int | nb_hwaccel_devices
SpecifierOpt * | hwaccel_output_formats
int | nb_hwaccel_output_formats
SpecifierOpt * | autorotate
int | nb_autorotate
StreamMap * | stream_maps
int | nb_stream_maps
AudioChannelMap * | audio_channel_maps
int | nb_audio_channel_maps
const char ** | attachments
int | nb_attachments
int | chapters_input_file
int64_t | recording_time
int64_t | stop_time
int64_t | limit_filesize
float | mux_preload
float | mux_max_delay
float | shortest_buf_duration
int | shortest
int | bitexact
int | video_disable
int | audio_disable
int | subtitle_disable
int | data_disable
int * | streamid_map
int | nb_streamid_map
SpecifierOpt * | metadata
int | nb_metadata
SpecifierOpt * | max_frames
int | nb_max_frames
SpecifierOpt * | bitstream_filters
int | nb_bitstream_filters
SpecifierOpt * | codec_tags
int | nb_codec_tags
SpecifierOpt * | sample_fmts
int | nb_sample_fmts
SpecifierOpt * | qscale
int | nb_qscale
SpecifierOpt * | forced_key_frames
int | nb_forced_key_frames
SpecifierOpt * | fps_mode
int | nb_fps_mode
SpecifierOpt * | force_fps
int | nb_force_fps
SpecifierOpt * | frame_aspect_ratios
int | nb_frame_aspect_ratios
SpecifierOpt * | display_rotations
int | nb_display_rotations
SpecifierOpt * | display_hflips
int | nb_display_hflips
SpecifierOpt * | display_vflips
int | nb_display_vflips
SpecifierOpt * | rc_overrides
int | nb_rc_overrides
SpecifierOpt * | intra_matrices
int | nb_intra_matrices
SpecifierOpt * | inter_matrices
int | nb_inter_matrices
SpecifierOpt * | chroma_intra_matrices
int | nb_chroma_intra_matrices
SpecifierOpt * | top_field_first
int | nb_top_field_first
SpecifierOpt * | metadata_map
int | nb_metadata_map
SpecifierOpt * | presets
int | nb_presets
SpecifierOpt * | copy_initial_nonkeyframes
int | nb_copy_initial_nonkeyframes
SpecifierOpt * | copy_prior_start
int | nb_copy_prior_start
SpecifierOpt * | filters
int | nb_filters
SpecifierOpt * | filter_scripts
int | nb_filter_scripts
SpecifierOpt * | reinit_filters
int | nb_reinit_filters
SpecifierOpt * | fix_sub_duration
int | nb_fix_sub_duration
SpecifierOpt * | fix_sub_duration_heartbeat
int | nb_fix_sub_duration_heartbeat
SpecifierOpt * | canvas_sizes
int | nb_canvas_sizes
SpecifierOpt * | pass
int | nb_pass
SpecifierOpt * | passlogfiles
int | nb_passlogfiles
SpecifierOpt * | max_muxing_queue_size
int | nb_max_muxing_queue_size
SpecifierOpt * | muxing_queue_data_threshold
int | nb_muxing_queue_data_threshold
SpecifierOpt * | guess_layout_max
int | nb_guess_layout_max
SpecifierOpt * | apad
int | nb_apad
SpecifierOpt * | discard
int | nb_discard
SpecifierOpt * | disposition
int | nb_disposition
SpecifierOpt * | program
int | nb_program
SpecifierOpt * | time_bases
int | nb_time_bases
SpecifierOpt * | enc_time_bases
int | nb_enc_time_bases
SpecifierOpt * | autoscale
int | nb_autoscale
SpecifierOpt * | bits_per_raw_sample
int | nb_bits_per_raw_sample
SpecifierOpt * | enc_stats_pre
int | nb_enc_stats_pre
SpecifierOpt * | enc_stats_post
int | nb_enc_stats_post
SpecifierOpt * | mux_stats
int | nb_mux_stats
SpecifierOpt * | enc_stats_pre_fmt
int | nb_enc_stats_pre_fmt
SpecifierOpt * | enc_stats_post_fmt
int | nb_enc_stats_post_fmt
SpecifierOpt * | mux_stats_fmt
int | nb_mux_stats_fmt

## Detailed Description

Definition at line 145 of file fftools_ffmpeg.h.

## Field Documentation

## ◆ accurate_seek

int OptionsContext::accurate_seek

Definition at line 176 of file fftools_ffmpeg.h.

## ◆ apad

SpecifierOpt* OptionsContext::apad

Definition at line 290 of file fftools_ffmpeg.h.

## ◆ attachments

const char** OptionsContext::attachments

Definition at line 201 of file fftools_ffmpeg.h.

## ◆ audio_ch_layouts

SpecifierOpt* OptionsContext::audio_ch_layouts

Definition at line 156 of file fftools_ffmpeg.h.

## ◆ audio_channel_maps

AudioChannelMap* OptionsContext::audio_channel_maps

Definition at line 198 of file fftools_ffmpeg.h.

## ◆ audio_channels

SpecifierOpt* OptionsContext::audio_channels

Definition at line 158 of file fftools_ffmpeg.h.

## ◆ audio_disable

int OptionsContext::audio_disable

Definition at line 216 of file fftools_ffmpeg.h.

## ◆ audio_sample_rate

SpecifierOpt* OptionsContext::audio_sample_rate

Definition at line 160 of file fftools_ffmpeg.h.

## ◆ autorotate

SpecifierOpt* OptionsContext::autorotate

Definition at line 191 of file fftools_ffmpeg.h.

## ◆ autoscale

SpecifierOpt* OptionsContext::autoscale

Definition at line 302 of file fftools_ffmpeg.h.

## ◆ bitexact

int OptionsContext::bitexact

Definition at line 213 of file fftools_ffmpeg.h.

## ◆ bits_per_raw_sample

SpecifierOpt* OptionsContext::bits_per_raw_sample

Definition at line 304 of file fftools_ffmpeg.h.

## ◆ bitstream_filters

SpecifierOpt* OptionsContext::bitstream_filters

Definition at line 228 of file fftools_ffmpeg.h.

## ◆ canvas_sizes

SpecifierOpt* OptionsContext::canvas_sizes

Definition at line 278 of file fftools_ffmpeg.h.

## ◆ chapters_input_file

int OptionsContext::chapters_input_file

Definition at line 204 of file fftools_ffmpeg.h.

## ◆ chroma_intra_matrices

SpecifierOpt* OptionsContext::chroma_intra_matrices

Definition at line 256 of file fftools_ffmpeg.h.

## ◆ codec_names

SpecifierOpt* OptionsContext::codec_names

Definition at line 154 of file fftools_ffmpeg.h.

## ◆ codec_tags

SpecifierOpt* OptionsContext::codec_tags

Definition at line 230 of file fftools_ffmpeg.h.

## ◆ copy_initial_nonkeyframes

SpecifierOpt* OptionsContext::copy_initial_nonkeyframes

Definition at line 264 of file fftools_ffmpeg.h.

## ◆ copy_prior_start

SpecifierOpt* OptionsContext::copy_prior_start

Definition at line 266 of file fftools_ffmpeg.h.

## ◆ data_disable

int OptionsContext::data_disable

Definition at line 218 of file fftools_ffmpeg.h.

## ◆ discard

SpecifierOpt* OptionsContext::discard

Definition at line 292 of file fftools_ffmpeg.h.

## ◆ display_hflips

SpecifierOpt* OptionsContext::display_hflips

Definition at line 246 of file fftools_ffmpeg.h.

## ◆ display_rotations

SpecifierOpt* OptionsContext::display_rotations

Definition at line 244 of file fftools_ffmpeg.h.

## ◆ display_vflips

SpecifierOpt* OptionsContext::display_vflips

Definition at line 248 of file fftools_ffmpeg.h.

## ◆ disposition

SpecifierOpt* OptionsContext::disposition

Definition at line 294 of file fftools_ffmpeg.h.

## ◆ dump_attachment

SpecifierOpt* OptionsContext::dump_attachment

Definition at line 183 of file fftools_ffmpeg.h.

## ◆ enc_stats_post

SpecifierOpt* OptionsContext::enc_stats_post

Definition at line 308 of file fftools_ffmpeg.h.

## ◆ enc_stats_post_fmt

SpecifierOpt* OptionsContext::enc_stats_post_fmt

Definition at line 314 of file fftools_ffmpeg.h.

## ◆ enc_stats_pre

SpecifierOpt* OptionsContext::enc_stats_pre

Definition at line 306 of file fftools_ffmpeg.h.

## ◆ enc_stats_pre_fmt

SpecifierOpt* OptionsContext::enc_stats_pre_fmt

Definition at line 312 of file fftools_ffmpeg.h.

## ◆ enc_time_bases

SpecifierOpt* OptionsContext::enc_time_bases

Definition at line 300 of file fftools_ffmpeg.h.

## ◆ filter_scripts

SpecifierOpt* OptionsContext::filter_scripts

Definition at line 270 of file fftools_ffmpeg.h.

## ◆ filters

SpecifierOpt* OptionsContext::filters

Definition at line 268 of file fftools_ffmpeg.h.

## ◆ find_stream_info

int OptionsContext::find_stream_info

Definition at line 179 of file fftools_ffmpeg.h.

## ◆ fix_sub_duration

SpecifierOpt* OptionsContext::fix_sub_duration

Definition at line 274 of file fftools_ffmpeg.h.

## ◆ fix_sub_duration_heartbeat

SpecifierOpt* OptionsContext::fix_sub_duration_heartbeat

Definition at line 276 of file fftools_ffmpeg.h.

## ◆ force_fps

SpecifierOpt* OptionsContext::force_fps

Definition at line 240 of file fftools_ffmpeg.h.

## ◆ forced_key_frames

SpecifierOpt* OptionsContext::forced_key_frames

Definition at line 236 of file fftools_ffmpeg.h.

## ◆ format

const char* OptionsContext::format

Definition at line 152 of file fftools_ffmpeg.h.

## ◆ fps_mode

SpecifierOpt* OptionsContext::fps_mode

Definition at line 238 of file fftools_ffmpeg.h.

## ◆ frame_aspect_ratios

SpecifierOpt* OptionsContext::frame_aspect_ratios

Definition at line 242 of file fftools_ffmpeg.h.

## ◆ frame_pix_fmts

SpecifierOpt* OptionsContext::frame_pix_fmts

Definition at line 168 of file fftools_ffmpeg.h.

## ◆ frame_rates

SpecifierOpt* OptionsContext::frame_rates

Definition at line 162 of file fftools_ffmpeg.h.

## ◆ frame_sizes

SpecifierOpt* OptionsContext::frame_sizes

Definition at line 166 of file fftools_ffmpeg.h.

## ◆ g

OptionGroup* OptionsContext::g

Definition at line 146 of file fftools_ffmpeg.h.

## ◆ guess_layout_max

SpecifierOpt* OptionsContext::guess_layout_max

Definition at line 288 of file fftools_ffmpeg.h.

## ◆ hwaccel_devices

SpecifierOpt* OptionsContext::hwaccel_devices

Definition at line 187 of file fftools_ffmpeg.h.

## ◆ hwaccel_output_formats

SpecifierOpt* OptionsContext::hwaccel_output_formats

Definition at line 189 of file fftools_ffmpeg.h.

## ◆ hwaccels

SpecifierOpt* OptionsContext::hwaccels

Definition at line 185 of file fftools_ffmpeg.h.

## ◆ input_sync_ref

int OptionsContext::input_sync_ref

Definition at line 178 of file fftools_ffmpeg.h.

## ◆ input_ts_offset

int64_t OptionsContext::input_ts_offset

Definition at line 172 of file fftools_ffmpeg.h.

## ◆ inter_matrices

SpecifierOpt* OptionsContext::inter_matrices

Definition at line 254 of file fftools_ffmpeg.h.

## ◆ intra_matrices

SpecifierOpt* OptionsContext::intra_matrices

Definition at line 252 of file fftools_ffmpeg.h.

## ◆ limit_filesize

int64_t OptionsContext::limit_filesize

Definition at line 208 of file fftools_ffmpeg.h.

## ◆ loop

int OptionsContext::loop

Definition at line 173 of file fftools_ffmpeg.h.

## ◆ max_frame_rates

SpecifierOpt* OptionsContext::max_frame_rates

Definition at line 164 of file fftools_ffmpeg.h.

## ◆ max_frames

SpecifierOpt* OptionsContext::max_frames

Definition at line 226 of file fftools_ffmpeg.h.

## ◆ max_muxing_queue_size

SpecifierOpt* OptionsContext::max_muxing_queue_size

Definition at line 284 of file fftools_ffmpeg.h.

## ◆ metadata

SpecifierOpt* OptionsContext::metadata

Definition at line 224 of file fftools_ffmpeg.h.

## ◆ metadata_map

SpecifierOpt* OptionsContext::metadata_map

Definition at line 260 of file fftools_ffmpeg.h.

## ◆ mux_max_delay

float OptionsContext::mux_max_delay

Definition at line 210 of file fftools_ffmpeg.h.

## ◆ mux_preload

float OptionsContext::mux_preload

Definition at line 209 of file fftools_ffmpeg.h.

## ◆ mux_stats

SpecifierOpt* OptionsContext::mux_stats

Definition at line 310 of file fftools_ffmpeg.h.

## ◆ mux_stats_fmt

SpecifierOpt* OptionsContext::mux_stats_fmt

Definition at line 316 of file fftools_ffmpeg.h.

## ◆ muxing_queue_data_threshold

SpecifierOpt* OptionsContext::muxing_queue_data_threshold

Definition at line 286 of file fftools_ffmpeg.h.

## ◆ nb_apad

int OptionsContext::nb_apad

Definition at line 291 of file fftools_ffmpeg.h.

## ◆ nb_attachments

int OptionsContext::nb_attachments

Definition at line 202 of file fftools_ffmpeg.h.

## ◆ nb_audio_ch_layouts

int OptionsContext::nb_audio_ch_layouts

Definition at line 157 of file fftools_ffmpeg.h.

## ◆ nb_audio_channel_maps

int OptionsContext::nb_audio_channel_maps

Definition at line 199 of file fftools_ffmpeg.h.

## ◆ nb_audio_channels

int OptionsContext::nb_audio_channels

Definition at line 159 of file fftools_ffmpeg.h.

## ◆ nb_audio_sample_rate

int OptionsContext::nb_audio_sample_rate

Definition at line 161 of file fftools_ffmpeg.h.

## ◆ nb_autorotate

int OptionsContext::nb_autorotate

Definition at line 192 of file fftools_ffmpeg.h.

## ◆ nb_autoscale

int OptionsContext::nb_autoscale

Definition at line 303 of file fftools_ffmpeg.h.

## ◆ nb_bits_per_raw_sample

int OptionsContext::nb_bits_per_raw_sample

Definition at line 305 of file fftools_ffmpeg.h.

## ◆ nb_bitstream_filters

int OptionsContext::nb_bitstream_filters

Definition at line 229 of file fftools_ffmpeg.h.

## ◆ nb_canvas_sizes

int OptionsContext::nb_canvas_sizes

Definition at line 279 of file fftools_ffmpeg.h.

## ◆ nb_chroma_intra_matrices

int OptionsContext::nb_chroma_intra_matrices

Definition at line 257 of file fftools_ffmpeg.h.

## ◆ nb_codec_names

int OptionsContext::nb_codec_names

Definition at line 155 of file fftools_ffmpeg.h.

## ◆ nb_codec_tags

int OptionsContext::nb_codec_tags

Definition at line 231 of file fftools_ffmpeg.h.

## ◆ nb_copy_initial_nonkeyframes

int OptionsContext::nb_copy_initial_nonkeyframes

Definition at line 265 of file fftools_ffmpeg.h.

## ◆ nb_copy_prior_start

int OptionsContext::nb_copy_prior_start

Definition at line 267 of file fftools_ffmpeg.h.

## ◆ nb_discard

int OptionsContext::nb_discard

Definition at line 293 of file fftools_ffmpeg.h.

## ◆ nb_display_hflips

int OptionsContext::nb_display_hflips

Definition at line 247 of file fftools_ffmpeg.h.

## ◆ nb_display_rotations

int OptionsContext::nb_display_rotations

Definition at line 245 of file fftools_ffmpeg.h.

## ◆ nb_display_vflips

int OptionsContext::nb_display_vflips

Definition at line 249 of file fftools_ffmpeg.h.

## ◆ nb_disposition

int OptionsContext::nb_disposition

Definition at line 295 of file fftools_ffmpeg.h.

## ◆ nb_dump_attachment

int OptionsContext::nb_dump_attachment

Definition at line 184 of file fftools_ffmpeg.h.

## ◆ nb_enc_stats_post

int OptionsContext::nb_enc_stats_post

Definition at line 309 of file fftools_ffmpeg.h.

## ◆ nb_enc_stats_post_fmt

int OptionsContext::nb_enc_stats_post_fmt

Definition at line 315 of file fftools_ffmpeg.h.

## ◆ nb_enc_stats_pre

int OptionsContext::nb_enc_stats_pre

Definition at line 307 of file fftools_ffmpeg.h.

## ◆ nb_enc_stats_pre_fmt

int OptionsContext::nb_enc_stats_pre_fmt

Definition at line 313 of file fftools_ffmpeg.h.

## ◆ nb_enc_time_bases

int OptionsContext::nb_enc_time_bases

Definition at line 301 of file fftools_ffmpeg.h.

## ◆ nb_filter_scripts

int OptionsContext::nb_filter_scripts

Definition at line 271 of file fftools_ffmpeg.h.

## ◆ nb_filters

int OptionsContext::nb_filters

Definition at line 269 of file fftools_ffmpeg.h.

## ◆ nb_fix_sub_duration

int OptionsContext::nb_fix_sub_duration

Definition at line 275 of file fftools_ffmpeg.h.

## ◆ nb_fix_sub_duration_heartbeat

int OptionsContext::nb_fix_sub_duration_heartbeat

Definition at line 277 of file fftools_ffmpeg.h.

## ◆ nb_force_fps

int OptionsContext::nb_force_fps

Definition at line 241 of file fftools_ffmpeg.h.

## ◆ nb_forced_key_frames

int OptionsContext::nb_forced_key_frames

Definition at line 237 of file fftools_ffmpeg.h.

## ◆ nb_fps_mode

int OptionsContext::nb_fps_mode

Definition at line 239 of file fftools_ffmpeg.h.

## ◆ nb_frame_aspect_ratios

int OptionsContext::nb_frame_aspect_ratios

Definition at line 243 of file fftools_ffmpeg.h.

## ◆ nb_frame_pix_fmts

int OptionsContext::nb_frame_pix_fmts

Definition at line 169 of file fftools_ffmpeg.h.

## ◆ nb_frame_rates

int OptionsContext::nb_frame_rates

Definition at line 163 of file fftools_ffmpeg.h.

## ◆ nb_frame_sizes

int OptionsContext::nb_frame_sizes

Definition at line 167 of file fftools_ffmpeg.h.

## ◆ nb_guess_layout_max

int OptionsContext::nb_guess_layout_max

Definition at line 289 of file fftools_ffmpeg.h.

## ◆ nb_hwaccel_devices

int OptionsContext::nb_hwaccel_devices

Definition at line 188 of file fftools_ffmpeg.h.

## ◆ nb_hwaccel_output_formats

int OptionsContext::nb_hwaccel_output_formats

Definition at line 190 of file fftools_ffmpeg.h.

## ◆ nb_hwaccels

int OptionsContext::nb_hwaccels

Definition at line 186 of file fftools_ffmpeg.h.

## ◆ nb_inter_matrices

int OptionsContext::nb_inter_matrices

Definition at line 255 of file fftools_ffmpeg.h.

## ◆ nb_intra_matrices

int OptionsContext::nb_intra_matrices

Definition at line 253 of file fftools_ffmpeg.h.

## ◆ nb_max_frame_rates

int OptionsContext::nb_max_frame_rates

Definition at line 165 of file fftools_ffmpeg.h.

## ◆ nb_max_frames

int OptionsContext::nb_max_frames

Definition at line 227 of file fftools_ffmpeg.h.

## ◆ nb_max_muxing_queue_size

int OptionsContext::nb_max_muxing_queue_size

Definition at line 285 of file fftools_ffmpeg.h.

## ◆ nb_metadata

int OptionsContext::nb_metadata

Definition at line 225 of file fftools_ffmpeg.h.

## ◆ nb_metadata_map

int OptionsContext::nb_metadata_map

Definition at line 261 of file fftools_ffmpeg.h.

## ◆ nb_mux_stats

int OptionsContext::nb_mux_stats

Definition at line 311 of file fftools_ffmpeg.h.

## ◆ nb_mux_stats_fmt

int OptionsContext::nb_mux_stats_fmt

Definition at line 317 of file fftools_ffmpeg.h.

## ◆ nb_muxing_queue_data_threshold

int OptionsContext::nb_muxing_queue_data_threshold

Definition at line 287 of file fftools_ffmpeg.h.

## ◆ nb_pass

int OptionsContext::nb_pass

Definition at line 281 of file fftools_ffmpeg.h.

## ◆ nb_passlogfiles

int OptionsContext::nb_passlogfiles

Definition at line 283 of file fftools_ffmpeg.h.

## ◆ nb_presets

int OptionsContext::nb_presets

Definition at line 263 of file fftools_ffmpeg.h.

## ◆ nb_program

int OptionsContext::nb_program

Definition at line 297 of file fftools_ffmpeg.h.

## ◆ nb_qscale

int OptionsContext::nb_qscale

Definition at line 235 of file fftools_ffmpeg.h.

## ◆ nb_rc_overrides

int OptionsContext::nb_rc_overrides

Definition at line 251 of file fftools_ffmpeg.h.

## ◆ nb_reinit_filters

int OptionsContext::nb_reinit_filters

Definition at line 273 of file fftools_ffmpeg.h.

## ◆ nb_sample_fmts

int OptionsContext::nb_sample_fmts

Definition at line 233 of file fftools_ffmpeg.h.

## ◆ nb_stream_maps

int OptionsContext::nb_stream_maps

Definition at line 196 of file fftools_ffmpeg.h.

## ◆ nb_streamid_map

int OptionsContext::nb_streamid_map

Definition at line 222 of file fftools_ffmpeg.h.

## ◆ nb_time_bases

int OptionsContext::nb_time_bases

Definition at line 299 of file fftools_ffmpeg.h.

## ◆ nb_top_field_first

int OptionsContext::nb_top_field_first

Definition at line 259 of file fftools_ffmpeg.h.

## ◆ nb_ts_scale

int OptionsContext::nb_ts_scale

Definition at line 182 of file fftools_ffmpeg.h.

## ◆ pass

SpecifierOpt* OptionsContext::pass

Definition at line 280 of file fftools_ffmpeg.h.

## ◆ passlogfiles

SpecifierOpt* OptionsContext::passlogfiles

Definition at line 282 of file fftools_ffmpeg.h.

## ◆ presets

SpecifierOpt* OptionsContext::presets

Definition at line 262 of file fftools_ffmpeg.h.

## ◆ program

SpecifierOpt* OptionsContext::program

Definition at line 296 of file fftools_ffmpeg.h.

## ◆ qscale

SpecifierOpt* OptionsContext::qscale

Definition at line 234 of file fftools_ffmpeg.h.

## ◆ rate_emu

int OptionsContext::rate_emu

Definition at line 174 of file fftools_ffmpeg.h.

## ◆ rc_overrides

SpecifierOpt* OptionsContext::rc_overrides

Definition at line 250 of file fftools_ffmpeg.h.

## ◆ readrate

float OptionsContext::readrate

Definition at line 175 of file fftools_ffmpeg.h.

## ◆ recording_time

int64_t OptionsContext::recording_time

Definition at line 206 of file fftools_ffmpeg.h.

## ◆ reinit_filters

SpecifierOpt* OptionsContext::reinit_filters

Definition at line 272 of file fftools_ffmpeg.h.

## ◆ sample_fmts

SpecifierOpt* OptionsContext::sample_fmts

Definition at line 232 of file fftools_ffmpeg.h.

## ◆ seek_timestamp

int OptionsContext::seek_timestamp

Definition at line 151 of file fftools_ffmpeg.h.

## ◆ shortest

int OptionsContext::shortest

Definition at line 212 of file fftools_ffmpeg.h.

## ◆ shortest_buf_duration

float OptionsContext::shortest_buf_duration

Definition at line 211 of file fftools_ffmpeg.h.

## ◆ start_time

int64_t OptionsContext::start_time

Definition at line 149 of file fftools_ffmpeg.h.

## ◆ start_time_eof

int64_t OptionsContext::start_time_eof

Definition at line 150 of file fftools_ffmpeg.h.

## ◆ stop_time

int64_t OptionsContext::stop_time

Definition at line 207 of file fftools_ffmpeg.h.

## ◆ stream_maps

StreamMap* OptionsContext::stream_maps

Definition at line 195 of file fftools_ffmpeg.h.

## ◆ streamid_map

int* OptionsContext::streamid_map

Definition at line 221 of file fftools_ffmpeg.h.

## ◆ subtitle_disable

int OptionsContext::subtitle_disable

Definition at line 217 of file fftools_ffmpeg.h.

## ◆ thread_queue_size

int OptionsContext::thread_queue_size

Definition at line 177 of file fftools_ffmpeg.h.

## ◆ time_bases

SpecifierOpt* OptionsContext::time_bases

Definition at line 298 of file fftools_ffmpeg.h.

## ◆ top_field_first

SpecifierOpt* OptionsContext::top_field_first

Definition at line 258 of file fftools_ffmpeg.h.

## ◆ ts_scale

SpecifierOpt* OptionsContext::ts_scale

Definition at line 181 of file fftools_ffmpeg.h.

## ◆ video_disable

int OptionsContext::video_disable

Definition at line 215 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg.h